summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wirzenius <liw@liw.fi>2024-03-29 16:02:07 +0200
committerLars Wirzenius <liw@liw.fi>2024-03-29 16:02:07 +0200
commitbf35c6fad83de94e07379e4ddfe0530b312d32f6 (patch)
tree461d1af7640f5f01df30cb4bead1182cf50be0b9
parentef622ec26c9fd607598ed46f081811206c568aa1 (diff)
downloadambient-build-vm-bf35c6fad83de94e07379e4ddfe0530b312d32f6.tar.gz
scripts: add script to build an image for LarsHEADmain
Signed-off-by: Lars Wirzenius <liw@liw.fi> Sponsored-by: author
-rwxr-xr-xliw-build.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/liw-build.sh b/liw-build.sh
new file mode 100755
index 0000000..ccaecfe
--- /dev/null
+++ b/liw-build.sh
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+set -euo pipefail
+
+images=$HOME/tmp/ambient
+date="$(date -Id)"
+
+build-on . . ambient-dev sudo ./build-and-test.sh ~/new.qcow2 ~ --playbook liw.yml
+scp ambient-dev:new.qcow2 $images/ambient-boot-$date.qcow2